0
Help us understand the problem. What are the problem?

posted at

updated at

VSCodeを開いたときのgoplsのmoduleに関するエラー

環境

Go1.18.2

経緯

VSCodeで複数のモジュールを含むworkspaceを開いたときに下記のエラーが表示される

エラー

gopls requires a module at the root of your workspace. You can work with multiple modules by opening each one as a workspace folder. Improvements to this workflow will be coming soon, and you can learn more here: https://github.com/golang/tools/blob/master/gopls/doc/workspace.md.

解決策

エラーメッセージの通り上記のリンク先を確認すると
workspaceのrootディレクトリでgo work initのコマンドでgo.workを生成することでマルチモジュール対応になるようだ。

Register as a new user and use Qiita more conveniently

  1. You can follow users and tags
  2. you can stock useful information
  3. You can make editorial suggestions for articles
What you can do with signing up
0
Help us understand the problem. What are the problem?